import {useEffect, useState} from "react";
import {LayoutConfig} from "../types/LayoutConfig";
import {LayoutService} from "../services/LayoutService";

export default function useLayout(): LayoutConfig | null {
  const [layout, setLayout] = useState<LayoutConfig | null>(null);

  useEffect(() => {
    LayoutService.init().then(() => {
      const refresh = () => {
        const activeLayout = LayoutService.getActiveLayout();

        if(layout?.id !== activeLayout.id) {
          setLayout(activeLayout);
        }
      };

      window.setInterval(refresh, 10000);
      refresh();
    });
  }, []);

  return layout;
}
