import React from 'react';

const HSplit = (props: {
  top: any,
  bottom: any,
  split?: number
}) => {
  const split = props.split ?? .5;

  if(split <= 0 || split >= 1) {
    throw new Error("HSplit has an invalid split");
  }

  return (
    <div className={"flex flex-col w-full h-full"}>
      <div style={{height: `${split * 100}%`}}>
        {props.top}
      </div>
      <div className={"flex-1"}>
        {props.bottom}
      </div>
    </div>
  );
};

export default HSplit;
