export type LayoutConfig = {
  id: string,
  priority: number,
  schedule: LayoutSchedule,
  layout: Layout
}

type LayoutSchedule = {
  always: true
} | {
  always?: false,
  times: {
    from: Date,
    to: Date
  }[]
}

export type Layout = XSplitLayout | YSplitLayout | Panel;

type XSplitLayout = {
  type: "xsplit",
  cut: number,
  left: Layout,
  right: Layout
}

type YSplitLayout = {
  type: "ysplit",
  cut: number,
  left: Layout,
  right: Layout
}

interface Panel {
  type: "panel",
  name: string,
  config: Object
}
